/*
 * Copyright 2015-2018 ISP RAS (http://www.ispras.ru)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase;

import ru.ispras.testbase.generator.DataGenerator;
import ru.ispras.testbase.generator.DataGeneratorRegistry;

import java.util.Collection;

public final class TestBaseRegistry {
  private final DataGeneratorRegistry generators = new DataGeneratorRegistry();

  public boolean registerGenerator(final String name, final DataGenerator generator) {
    return generators.add(name, generator);
  }

  public Collection<DataGenerator> getNamedGenerators(final String name) {
    return generators.getNamed(name);
  }
}
